// DlgJoin.cpp : implementation file

#include "stdafx.h"
#include "mchat.h"
#include "DlgJoin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CDlgJoin dialog

CDlgJoin::CDlgJoin(LPCTSTR pChan, CFrame* pParent)
	: CDialog(CDlgJoin::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgJoin)
	m_sChannel = pChan;
	m_sKey = _T("");
	//}}AFX_DATA_INIT
	Create(IDD, pParent);
}


void CDlgJoin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgJoin)
	DDX_CBString(pDX, IDC_CHANNEL, m_sChannel);
	DDX_Text(pDX, IDC_KEY, m_sKey);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDlgJoin, CDialog)
	//{{AFX_MSG_MAP(CDlgJoin)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CDlgJoin message handlers

void CDlgJoin::OnOK() 
{
	if (!UpdateData(TRUE))
		return;

	CComboBox* pCombo = (CComboBox*)GetDlgItem(IDC_CHANNEL);
	if (m_sChannel.IsEmpty()) {
		GotoDlgCtrl(pCombo);
		return;
	}
	if (pCombo->FindString(-1, m_sChannel) < 0)
		g_mapChan.Append(m_sChannel);

	CmdJoin(m_sChannel, m_sKey.IsEmpty() ? LPCTSTR(0) : (LPCTSTR)m_sKey);
	DestroyWindow();
}

void CDlgJoin::OnCancel()
{
	DestroyWindow();
}

BOOL CDlgJoin::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CComboBox* pCombo = (CComboBox*)GetDlgItem(IDC_CHANNEL);
	POSITION pos = g_mapChan.GetStartPosition();
	while (pos) {
		CString sChan;
		Chan* pChan;
		g_mapChan.GetNextAssoc(pos, sChan, pChan);
		pCombo->AddString(sChan);
	}
	
	return TRUE;
}

void CDlgJoin::PostNcDestroy() 
{
	delete this;
}
