// Nick.cpp : implementation file
//

#include "stdafx.h"
#include "mchat.h"
#include "dlgnick.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CDlgNick dialog

CDlgNick::CDlgNick(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgNick::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgNick)
	m_sOldNick = _T("");
	m_sNick = _T("");
	//}}AFX_DATA_INIT
}


void CDlgNick::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgNick)
	DDX_Text(pDX, IDC_OLDNICK, m_sOldNick);
	DDX_Text(pDX, IDC_NICK, m_sNick);
	DDV_MaxChars(pDX, m_sNick, 9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgNick, CDialog)
	//{{AFX_MSG_MAP(CDlgNick)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CDlgNick message handlers

void CDlgNick::OnOK() 
{
	if (!UpdateData(TRUE))
		return;
	if (m_sNick.IsEmpty()) {
		GotoDlgCtrl(GetDlgItem(IDC_NICK));
		return;
	}
	if (!IsNiceNick(m_sNick)) {
		AfxMessageBox(IDS_ERR_NICK,
			MB_OK | MB_APPLMODAL | MB_ICONINFORMATION);
		GotoDlgCtrl(GetDlgItem(IDC_NICK));
		return;
	}
	EndDialog(IDOK);
}
