// DlgTalk.cpp : implementation file
//

#include "stdafx.h"
#include "mchat.h"
#include "DlgTalk.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgTalk dialog


CDlgTalk::CDlgTalk(CWnd* pParent /*=NULL*/,
		CStringArray* paNicks /*=NULL*/)
	: CDialog(CDlgTalk::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgTalk)
	m_sNick = _T("");
	//}}AFX_DATA_INIT
	m_paNicks = paNicks;
}


void CDlgTalk::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgTalk)
	DDX_CBString(pDX, IDC_NICK, m_sNick);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgTalk, CDialog)
	//{{AFX_MSG_MAP(CDlgTalk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgTalk message handlers

void CDlgTalk::OnOK() 
{
	if (!UpdateData(TRUE))
		return;
	if (m_sNick.IsEmpty()) {
		GotoDlgCtrl(GetDlgItem(IDC_NICK));
		return;
	}
	CDialog::OnOK();
}

BOOL CDlgTalk::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CComboBox* pCombo = (CComboBox*)GetDlgItem(IDC_NICK);
	if (m_paNicks) {
		int i;
		for (i = 0; i < m_paNicks->GetSize(); i++)
			pCombo->AddString((*m_paNicks)[i]);
	}
	GotoDlgCtrl(pCombo);
	return FALSE;
}
