
#define WMU_SOCK_MSG		0
#define WMU_SOCK_CONNECT	1
#define WMU_SOCK_CLOSE		2

class CSockData : public CAsyncSocket
{
public:
	CSockData(BOOL fText);
	~CSockData();

	CWnd* m_parent;

	CString m_sFile;
	HANDLE m_hFile;

	BOOL DoConnect(u_long ulHost, u_short usPort);
	void DoSend(LPCTSTR pStr, int nLen);
	void DoReceive();

protected:
	void msg(LPCTSTR psz);

	LONG m_fpWrite;
	LONG m_fpRead;
	BOOL m_fText;

	char* m_pBufRcv;
	int m_nBufRcv;
	int m_nText;

	//override
	void OnSend(int n);
	void OnReceive(int n);
	void OnClose(int n);
	void OnConnect(int n);
};

class CSockListen : public CAsyncSocket
{
public:
	CWnd* m_parent;
	CSockData* m_pData;

	BOOL DoListen(u_short& usPort);

protected:
	void msg(LPCTSTR psz);

	// override
	void OnAccept(int n);
};
