// DlgInvited.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "mchat.h"
#include "DlgInvited.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DlgInvited _CAO


DlgInvited::DlgInvited(LPCTSTR pNick, LPCTSTR pChan, CFrame* pParent)
	: CDialog(DlgInvited::IDD, pParent)
{
	//{{AFX_DATA_INIT(DlgInvited)
	m_sKey = _T("");
	//}}AFX_DATA_INIT
	m_sNick = pNick;
	m_sChan = pChan;
	Create(IDD, pParent);
}


void DlgInvited::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DlgInvited)
	DDX_Control(pDX, IDC_MSG, m_stMsg);
	DDX_Text(pDX, IDC_KEY, m_sKey);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DlgInvited, CDialog)
	//{{AFX_MSG_MAP(DlgInvited)
	ON_BN_CLICKED(IDC_WHOIS, OnWhois)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DlgInvited bZ[W nh

void DlgInvited::OnOK() 
{
	if (!UpdateData(TRUE))
		return;

	CmdJoin(m_sChan, m_sKey.IsEmpty() ? LPCTSTR(0) : (LPCTSTR)m_sKey);
	DestroyWindow();
}

void DlgInvited::OnCancel() 
{
	DestroyWindow();
}

BOOL DlgInvited::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CString s;
	s.Format(IDS_FMT_INVITED, m_sNick, m_sChan);
	SetDlgItemText(IDC_MSG, s);
	return TRUE;
}

void DlgInvited::PostNcDestroy() 
{
	delete this;
}

void DlgInvited::OnWhois() 
{
	CmdWhois(m_sNick);
}
