// DlgMisc.h : wb_[ t@C

class CIsonPop : public CWnd
{
public:
	CIsonPop();

	static void Nick(LPCTSTR pszNick, BOOL fAdd = TRUE);
	static void Show(bool fShow = true);
	static bool IsShow() { return m_pWin != NULL; }

protected:
	static CIsonPop* m_pWin;

	BOOL AddNick(LPCTSTR pszNick);
	BOOL DelNick(LPCTSTR pszNick);

	//{{AFX_DATA(CIsonPop)
	CListBox	m_lbNick;
	//}}AFX_DATA

// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(CIsonPop)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Cve[V
protected:

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CIsonPop)
	afx_msg void OnDblclkNicklist();
	afx_msg void OnSelchangeNicklist();
	afx_msg void OnDestroy();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg UINT OnNcHitTest(CPoint point);
	afx_msg void OnClose();
	afx_msg void OnWhois();
	afx_msg void OnTalk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// ison list

class CIsOnEntry
{
public:
	CIsOnEntry() {
		m_fIsOn = FALSE;
	}
	CIsOnEntry(LPCTSTR pszNick) {
		m_sNick = pszNick;
		m_fIsOn = FALSE;
	}

	CString m_sNick;
	BOOL m_fIsOn;
	time_t m_time;
};

class CIsOn : public CArray<CIsOnEntry, CIsOnEntry&>
{
public:
	void Load();
	void Save();
	void Start(UINT nMinutes);
	void Stop();
	int Find(LPCTSTR pszNick);
	void AddNick(LPCTSTR pszNick);
	void DelNick(LPCTSTR pszNick);
	BOOL NickOn(LPCTSTR pszNick);
	void Expire();

protected:
	CString m_sFile;
	UINT m_nMSec;
};

extern CIsOn ison;
extern UINT g_tmidIsOn;

#if 0
//
// DlgAway _CAO
//

class DlgAway : public CDialog
{
// RXgNV
public:
	DlgAway(CWnd* pParent = NULL);   // W̃RXgN^

	static void DlgAway::Activate(BOOL fActive);
	static BOOL DlgAway::IsActive()
	{
		return s_pDlgAway != 0;
	}


// _CAO f[^
	//{{AFX_DATA(DlgAway)
	enum { IDD = IDD_AWAY };
		// : ClassWizard ͂̈ʒuɃf[^ oǉ܂B
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(DlgAway)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Cve[V
protected:
	static DlgAway* s_pDlgAway;
	static HWND s_hwndActive;

	CString m_sOldNick;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(DlgAway)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#endif

//
// DlgAwaySet _CAO
//

class DlgAwaySet : public CDialog
{
// RXgNV
public:
	DlgAwaySet(CWnd* pParent = NULL);   // W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(DlgAwaySet)
	enum { IDD = IDD_AWAYSET };
	CString	m_sMsg;
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(DlgAwaySet)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(DlgAwaySet)
		// : ClassWizard ͂̈ʒuɃo֐ǉ܂B
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//
// DlgTopic _CAO
//

class DlgTopic : public CDialog
{
// RXgNV
public:
	DlgTopic(FrameChan* pFrame);// need chan-frame

// _CAO f[^
	//{{AFX_DATA(DlgTopic)
	enum { IDD = IDD_TOPIC };
	CString	m_sTopic;
	BOOL	m_fKeep;
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(DlgTopic)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Cve[V
protected:
	FrameChan* m_pFrame;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(DlgTopic)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// DlgMe _CAO

class DlgMe : public CDialog
{
// RXgNV
public:
	DlgMe(CWnd* pParent = NULL);   // W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(DlgMe)
	enum { IDD = IDD_ME };
	CString	m_sMe;
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B

	//{{AFX_VIRTUAL(DlgMe)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(DlgMe)
		// : ClassWizard ͂̈ʒuɃo֐ǉ܂B
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
