// DlgWhois.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgWhois dialog

class CDlgWhois : public CDialog
{
// Construction
public:
	CDlgWhois(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgWhois)
	enum { IDD = IDD_WHOIS };
	CButton	m_btOK;
	CComboBox	m_cbChannels;
	CString	m_sNick;
	CString	m_sAddr;
	CString	m_sAway;
	CString	m_sIdle;
	CString	m_sInfo;
	CString	m_sServer;
	CString	m_sServInfo;
	CString	m_sRealName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgWhois)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	CApp* m_pApp;

	// Generated message map functions
	//{{AFX_MSG(CDlgWhois)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnJoin();
	afx_msg void OnCopy();
	virtual BOOL OnInitDialog();
	afx_msg void OnTalk();
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnWhoisIgnore();
	afx_msg void OnUseServer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

typedef CMap<CString, LPCTSTR, CDlgWhois*, CDlgWhois*> CMapStringToDlgWhois;

extern CMapStringToDlgWhois mapWhois;

BOOL WhoisCreate(LPCTSTR pNick, LPCTSTR pUser,
				 LPCTSTR pHost, LPCTSTR pReal);
BOOL WhoisServer(LPCTSTR pNick, LPCTSTR pServer, LPCTSTR pServerInfo);
BOOL WhoisInfo(LPCTSTR pNick, LPCTSTR pInfo);
BOOL WhoisIdle(LPCTSTR pNick, LPCTSTR pNum, LPCTSTR pText);
BOOL WhoisAway(LPCTSTR pNick, LPCTSTR pMsg);
BOOL WhoisChannels(LPCTSTR pNick, LPCTSTR pChannels);
