// !!!this file is not used anymore!!!

// DlgWin.cpp : implementation file

#include "stdafx.h"
#include "resource.h"
#include "profile.h"
#include "frame.h"
#include "dlgwin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static TCHAR BASED_CODE szWindow[] = _T("Window");
static TCHAR BASED_CODE szPosX[] = _T("WindowsPosX");
static TCHAR BASED_CODE szPosY[] = _T("WindowsPosY");

CDlgWin* CDlgWin::m_pDlg = 0;

// CDlgWin dialog

CDlgWin::CDlgWin(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgWin::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgWin)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_pApp = AfxGetApp();
	if (Create(IDD, pParent)) {
		m_pDlg = this;

		int x = m_pApp->GetProfileInt(szWindow, szPosX, -1);
		int y = m_pApp->GetProfileInt(szWindow, szPosY, -1);
		if (x != -1 && y != -1) {
			RECT rc;
			GetWindowRect(&rc);
			MoveWindow(x, y, rc.right - rc.left, rc.bottom - rc.top);
		}
		ShowWindow(SW_SHOW);
	} else
		delete this;
}

void CDlgWin::AddWindow(LPCTSTR ps, CFrame* pFrame)
{
	int i = m_lbWin.AddString(ps);
	if (i >= 0)
		m_lbWin.SetItemDataPtr(i, pFrame);
}

void CDlgWin::DelWindow(CFrame* pFrame)
{
	int i;
	for (i = 0; i < m_lbWin.GetCount(); i++) {
		CFrame* pFrame1 = (CFrame*)m_lbWin.GetItemDataPtr(i);
		if (pFrame1 == pFrame) {
			m_lbWin.DeleteString(i);
			return;
		}
	}
}

int CDlgWin::GetSelected(ArFrame& ar)
{
	int nSel = m_lbWin.GetSelCount();
	if (nSel < 1)
		return 0;

	int* piSel = new int[nSel];
	nSel = m_lbWin.GetSelItems(nSel, piSel);

	ar.RemoveAll();
	int i;
	for (i = 0; i < nSel; i++) {
		int nIndex = piSel[i];
		CFrame* pFrame = (CFrame*)m_lbWin.GetItemDataPtr(nIndex);
		m_lbWin.SetSel(nIndex, FALSE);
		if (IsWindow(pFrame->GetSafeHwnd()))
			ar.Add(pFrame);
		else
			DelWindow(pFrame);
	}

	delete [] piSel;
	return ar.GetSize();
}

void CDlgWin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgWin)
	DDX_Control(pDX, IDC_LISTWINDOW, m_lbWin);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDlgWin, CDialog)
	//{{AFX_MSG_MAP(CDlgWin)
	ON_BN_CLICKED(IDC_DELETE, OnDelete)
	ON_LBN_DBLCLK(IDC_LISTWINDOW, OnDblclkListwindow)
	ON_WM_DESTROY()
	ON_WM_PAINT()
	ON_WM_ERASEBKGND()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_MINIMIZE, OnMinimize)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CDlgWin message handlers

BOOL CDlgWin::OnInitDialog() 
{
	CDialog::OnInitDialog();

	return TRUE;
}

void CDlgWin::OnDestroy() 
{
	if (!IsIconic()) {
		CRect rc;
		GetWindowRect(&rc);
		m_pApp->WriteProfileInt(szWindow, szPosX, rc.left);
		m_pApp->WriteProfileInt(szWindow, szPosY, rc.top);
	}

	CDialog::OnDestroy();
}

void CDlgWin::PostNcDestroy() 
{
	m_pDlg = 0;
	delete this;
}

void CDlgWin::OnCancel() 
{
	DestroyWindow();
}

// select window
void CDlgWin::OnOK() 
{
	ArFrame ar;
	int nSel = GetSelected(ar);
	if (nSel <= 0)
		return;
	int i;
	for (i = 0; i < nSel; i++)
		ar[i]->ActivateFrame();
	DestroyWindow();
}

void CDlgWin::OnDblclkListwindow() 
{
	OnOK();
}

void CDlgWin::OnDelete() 
{
	ArFrame ar;
	int nSel = GetSelected(ar);
	if (nSel <= 0)
		return;
	int i;
	for (i = 0; i < nSel; i++)
		ar[i]->SendMessage(WM_CLOSE);
}

void CDlgWin::OnMinimize() 
{
	ArFrame ar;
	int nSel = GetSelected(ar);
	if (nSel <= 0)
		return;
	int i;
	for (i = 0; i < nSel; i++)
		ar[i]->ShowWindow(SW_MINIMIZE);
}

void CDlgWin::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	if (IsIconic()) {
		// Erase the icon background when placed over other app window
		DefWindowProc(WM_ICONERASEBKGND, (WORD)dc.m_hDC, 0L);
		// Center the icon
		CRect rc;
		GetClientRect(&rc);
		rc.left = (rc.right  - ::GetSystemMetrics(SM_CXICON)) >> 1;
		rc.top  = (rc.bottom - ::GetSystemMetrics(SM_CYICON)) >> 1;
		// Draw the icon
		HICON hIcon = AfxGetApp()->LoadIcon(IDD_WINDOWS);
		dc.DrawIcon(rc.left, rc.top, hIcon);
    }
	// Do not call CDialog::OnPaint() for painting messages
}

BOOL CDlgWin::OnEraseBkgnd(CDC* pDC)
{
	if (IsIconic())
		return TRUE;
	else
		return CDialog::OnEraseBkgnd(pDC);
}

HCURSOR CDlgWin::OnQueryDragIcon()
{
	return m_pApp->LoadIcon(IDD_WINDOWS);
}
