// Input.h : wb_[ t@C

#include <imm.h>

// CInput EBhE

class CInput : public CEdit
{
// RXgNV
public:
	CInput();
	BOOL DoCreate(CFrame* pFrame, int nID);

// Agr[g
public:
	int m_nHeight;
	int m_nSelBgn;
	int m_nSelEnd;
	int m_cyBorder;

	BOOL m_fFocus;

	CFrame* m_pFrame;

	CList<CString, LPCTSTR> m_lsHist;
	POSITION m_posHist;
	CString m_sInput;
	CString m_sDestNick;
	CArray<CString, CString&> m_arDestNick;

	void InsertNick(LPCTSTR pNick);
	BOOL InputParseNick(LPCTSTR pStr);
	void SelectNick(int nIdx);

protected:
	HIMC m_hIMC;
	HIMC m_hIMCSave;

	HBRUSH m_hBrushBack;

	DWORD m_dwStyle;

// Iy[V
public:
	void FontChange();
	void SetText(LPCTSTR p);
	void GetText(CString& s) { GetWindowText(s); }
	void ClearText();
	void InsertText(LPCTSTR pStr) { ReplaceSel(pStr); }
	void MenuPopup(POINT* pt = 0);
	void PopupNicks();
	void SetAttribute(BYTE bAt);

protected:
	void KeyEnter();
	void KeyUp();
	void KeyDown();

// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(CInput)
	//}}AFX_VIRTUAL

// Cve[V
public:
	virtual ~CInput();

	// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CInput)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnEditPaste();
	afx_msg void OnDestnickPopup();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	//}}AFX_MSG
	afx_msg LRESULT OnSizeParent(WPARAM wParam, LPARAM lParam);
	afx_msg void OnDestNickSel(UINT nID);
	afx_msg void OnInputHelp();

	DECLARE_MESSAGE_MAP()
};
