// s_server.h : header file

// SetupServer dialog

class SetupServer : public CPropertyPage
{
	DECLARE_DYNCREATE(SetupServer)

// Construction
public:
	SetupServer();
	~SetupServer();

// Dialog Data
	//{{AFX_DATA(SetupServer)
	enum { IDD = IDD_SVRLIST };
	CButton	m_btDelete;
	CButton	m_btConnect;
	CButton	m_btAppend;
	CButton	m_btUp;
	CButton	m_btTop;
	CButton	m_btDown;
	CButton	m_btBottom;
	CListBox	m_lbSvr;
	CString	m_sHostname;
	CString	m_sPassword;
	UINT	m_nPort;
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(SetupServer)
	public:
	virtual void OnOK();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(SetupServer)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSvrlist();
	afx_msg void OnSlAppend();
	afx_msg void OnSlDelete();
	afx_msg void OnSlConnect();
	afx_msg void OnMoveTop();
	afx_msg void OnMoveUp();
	afx_msg void OnMoveDown();
	afx_msg void OnMoveBottom();
	afx_msg void OnDblclkSvrlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void UpDown();
	void Goto(int id);
	BOOL Check();
	int LookupSvr(SvrDef& pd);
	void Move(int nFrom, int nTo);

	BOOL m_fModify;
	ListServers m_list;
};
